#version 120

uniform sampler2D lightmap;
uniform sampler2D texture;

varying vec2 lmcoord;
varying vec2 texcoord;
varying vec4 glcolor; 
varying vec3 normal;
varying vec3 noise;
varying float isWater;


void main() {
	vec2 coord = texcoord + noise.xz*0.2;

	vec4 color = texture2D(texture, texcoord) * glcolor;
	if(isWater > 0) {
		color *= vec4(0.3, 0.3, 0.3, 1.0);
	}
	color *= texture2D(lightmap, lmcoord);

	vec4 specularity;
	if(isWater > 0.0) {
		specularity = vec4(1.0);
	} else {
		specularity = vec4(0.4);
	}


	/* DRAWBUFFERS:023 */
	//gl_FragData[0] = vec4(noise, 1.0); //gcolor
	gl_FragData[0] = color; //gcolor
	gl_FragData[1] = vec4(normal, 1.0)* 0.5 + 0.5; // water normals
	gl_FragData[2] = specularity;//specularity
}